bitops.hpp File Reference
`#include <cstdint>`

Go to the source code of this file.

## Classes

struct | restinio::utils::impl::bitops::details::bits_count< std::uint8_t >
struct | restinio::utils::impl::bitops::details::bits_count< std::int8_t >
struct | restinio::utils::impl::bitops::details::bits_count< char >
struct | restinio::utils::impl::bitops::details::bits_count< std::uint16_t >
struct | restinio::utils::impl::bitops::details::bits_count< std::int16_t >
struct | restinio::utils::impl::bitops::details::bits_count< std::uint32_t >
struct | restinio::utils::impl::bitops::details::bits_count< std::int32_t >
struct | restinio::utils::impl::bitops::details::bits_count< std::uint64_t >
struct | restinio::utils::impl::bitops::details::bits_count< std::int64_t >

## Namespaces

namespace | restinio
namespace | restinio::utils
namespace | restinio::utils::impl
namespace | restinio::utils::impl::bitops
namespace | restinio::utils::impl::bitops::details

## Functions

template<typename T >
constexpr T | restinio::utils::impl::bitops::details::mask (unsigned bits_to_extract)
template<typename T , unsigned Shift, unsigned Bits_To_Extract = details::bits_count<T>::count, typename F = unsigned int>
T | restinio::utils::impl::bitops::n_bits_from (F value)
| Extract N bits from a bigger integer value. More...